#include <stdio.h>
#define MAX 500

unsigned long long prvocisla[MAX];
unsigned long long pocetPrvo[MAX];
    

void naplnPrvocisla() {
    int i,j;
    for(i=0;i<MAX;i++) {
	prvocisla[i]=1;
    }
    for(i=2;i<MAX;i++) {
	if (prvocisla[i]) {
	    for (j=2*i;j<MAX;j+=i) {
		prvocisla[j]=0;
	    }
	}
    }
    prvocisla[0]=0;
    prvocisla[1]=0;
}

void rozloz(int cislo, int dir) {
    int i;
    for (i=0;i<MAX;i++) {
	if (prvocisla[i]) {
	    while ( (cislo%i) == 0 ) {
		cislo/=i;
		pocetPrvo[i]+=dir;
	    }
	}
    }
}

unsigned long long solve(int n, int k) {
    int i;
    long long result=1;
    for (i=0;i<MAX;i++) {
	pocetPrvo[i]=1;
    }
    for (i=k+1;i<=n;i++) {
	rozloz(i,1);
    }
    for (i=2;i<=n-k;i++) {
	rozloz(i,-1);
    }
    for (i=0;i<MAX;i++) {
	printf("%lu ",pocetPrvo[i]);
	result*=(pocetPrvo[i]);
    }
    return result;
}


int main(void) {
    int n,k;
    char ch;
    naplnPrvocisla();
    while ( (ch=getchar()) !=EOF ) {
	ungetc(ch,stdin);
        scanf("%d %d ",&n,&k);
	printf("%lu\n",solve(n,k));
    }
    return 0;
}